[Risolto] Server Spigot 1.12

Salve a tutti, vista l'uscita della nuova versione volevo creare un server per giocare con i miei amici ma una volta scaricato spigot 1.12
Ma utilizzando il vecchio file che usavo per avviare il jar non va.
Sapreste dirmi che devo fare? Grazie.
Codice:
java -Xms1G -Xmx1G -jar NOMEDELJAR.jar
Easy.
Aspirante Dev.
Java - PHP - Ruby 



Se ti sono stato d'aiuto, puoi offrirmi da bere?

[Immagine: POEiSXc.png]



[Immagine: 6463110688.png]
10/06/2017, 13:21AresThat ha scritto:
Codice:
java -Xms1G -Xmx1G -jar NOMEDELJAR.jar
Easy.

Grazie, estensione del file command giusto? Metto dentro la cartella e doppio click?

---Aggiornamento---
Ho fatto tutto e mi da questo errore:

[Immagine: 2ur2k3n.png] (Modificato 10/06/2017, 13:27 da Zifro.)
10/06/2017, 13:23Zifro ha scritto: Grazie, estensione del file command giusto? Metto dentro la cartella e doppio click?

---Aggiornamento---
Ho fatto tutto e mi da questo errore:

[Immagine: 2ur2k3n.png]

si chiama spigot.jar il tuo file?


EDIT:
Codice:
#!/bin/bash
cd "$( dirname "$0" )"
java -Xmx1024M -jar NOME.jar -o true

Prova così. (Modificato 10/06/2017, 13:45 da AresThat.)
Aspirante Dev.
Java - PHP - Ruby 



Se ti sono stato d'aiuto, puoi offrirmi da bere?

[Immagine: POEiSXc.png]



[Immagine: 6463110688.png]
10/06/2017, 13:43AresThat ha scritto:
10/06/2017, 13:23Zifro ha scritto: Grazie, estensione del file command giusto? Metto dentro la cartella e doppio click?

---Aggiornamento---
Ho fatto tutto e mi da questo errore:

[Immagine: 2ur2k3n.png]

si chiama spigot.jar il tuo file?


EDIT:
Codice:
#!/bin/bash
cd "$( dirname "$0" )"
java -Xmx1024M -jar NOME.jar -o true

Prova così.

Si si chiama Spigot.jar e questo è quello che mi dice col nuovo codice:

[Immagine: jpzwye.png]
Allora consulta questa guida
Aspirante Dev.
Java - PHP - Ruby 



Se ti sono stato d'aiuto, puoi offrirmi da bere?

[Immagine: POEiSXc.png]



[Immagine: 6463110688.png]
10/06/2017, 14:40AresThat ha scritto: Allora consulta questa guida

Grazie ma non mi dice nulla di nuovo.
Cercando su internet ho scoperto che il problema è la versione di java che va eseguito con la versione 8 che io ho installato ma non so per quale motivo lo esegue con un versione precedente. Sapresti dirmi come forza l'esecuzione con tale versione? Grazie. (Modificato 10/06/2017, 14:59 da Zifro.)
Serve Java 8. Se puoi, aggiorna Mac OS all'ultima versione, così da forzare l'utilizzo di Java 8.

Altrimenti dovrai specificare l'intero percorso al java di Java 8 (che puoi conoscere Googlando).
Se ti sono stato d'aiuto, mi offriresti una birra?
[Immagine: dona-con-paypal.png]

Rip Maxcraft
10/06/2017, 16:03Maxetto ha scritto: Serve Java 8. Se puoi, aggiorna Mac OS all'ultima versione, così da forzare l'utilizzo di Java 8.

Altrimenti dovrai specificare l'intero percorso al java di Java 8 (che puoi conoscere Googlando).

Ho risolto installando JDK 8 oltre a JRE, grazie
Discussioni simili
 
[Problema] spigot 1.13
4 93
Risposta di xGab0
12/10/2018, 19:10
Risposta di _IronWire
07/10/2018, 13:07
Risposta di zAndreHD
28/07/2018, 21:29
Risposta di zTronic
25/07/2018, 15:03

Utente(i) che stanno guardando questa discussione: 1 Ospite(i)